Net::LDNS::RRList(3pm)

NAME
Net::LDNS::RR - common baseclass for all classes representing resource records.

SYNOPSIS
    my $rrlist = $packet->all;

INSTANCE METHODS

count()
    Returns the number of items in the list.

push($rr)
    Pushes an RR onto the list.

pop()
    Pops an RR off the list.

is_rrset()
    Returns true or false depending on if the list is an RRset or not.